News

Get news item

GET
/news/{id}.json

Get a single news

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

id*integer
Formatint64

Query Parameters

include?array<>

Additional data to include

Response Body

The request has succeeded.

application/json
  1. response
news*

Redmine News

curl -X GET 'https://redmine.example.com/news/0.json'
{  "news": {    "id": 0,    "project": {      "id": 0,      "name": "string"    },    "author": {      "id": 0,      "name": "string"    },    "title": "string",    "summary": "string",    "description": "string",    "created_on": "2019-08-24T14:15:22Z",    "attachments": [      {        "id": 0,        "filename": "string",        "filesize": 0,        "content_type": "string",        "description": "string",        "content_url": "http://example.com",        "thumbnail_url": "http://example.com",        "author": {          "id": 0,          "name": "string"        },        "created_on": "2019-08-24T14:15:22Z"      }    ],    "comments": [      {        "id": 0,        "author": {          "id": 0,          "name": "string"        },        "content": "string"      }    ]  }}